cascading

## Class CascadingTestCase

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - cascading.CascadingTestCase

All Implemented Interfaces:
  java.io.Serializable, junit.framework.Test

    public abstract class CascadingTestCase
    extends junit.framework.TestCase
    implements java.io.Serializable

Class CascadingTestCase is the base class for all Cascading tests.

It included a few helpful utility methods for testing Cascading applications.

See Also:
  Serialized Form

### Field Summary

Fields
`org.junit.rules.TestName` `name`
`static java.lang.String` `ROOT_OUTPUT_PATH`
`static java.lang.String` `ROOT_PLAN_PATH`
`static java.lang.String` `TEST_TRACEPLAN_ENABLED`

### Constructor Summary

Constructors
Constructor and Description
`CascadingTestCase()`
`CascadingTestCase(java.lang.String name)`

### Method Summary

Methods
`static <C extends java.util.Collection<Tuple>> C` `asCollection(Flow flow, Tap tap, C collection)`
`static <C extends java.util.Collection<Tuple>> C` `asCollection(Flow flow, Tap tap, Fields selector, C collection)`
`static <C extends java.util.Collection<Tuple>> C` `asCollection(TupleEntryIterator iterator, C result)`
`static <C extends java.util.Collection<Tuple>> C` `asCollection(TupleEntryIterator iterator, Fields selector, C result)`
`static java.util.List<Tuple>` `asList(Flow flow, Tap tap)`
`static java.util.List<Tuple>` `asList(Flow flow, Tap tap, Fields selector)`
`static java.util.Set<Tuple>` `asSet(Flow flow, Tap tap)`
`static java.util.Set<Tuple>` `asSet(Flow flow, Tap tap, Fields selector)`
`protected java.lang.String` `getOutputPath()`
`protected java.lang.String[]` `getOutputPathElements()`
`protected java.lang.String` `getPlanPath()`
`protected java.lang.String[]` `getPlanPathElements()`
`static java.util.List<Tuple>` `getSinkAsList(Flow flow)`
`static java.util.List<Tuple>` `getSourceAsList(Flow flow)`
`java.lang.String` `getTestCaseName()`
`java.lang.String` `getTestName()`
`protected static java.lang.String` `getTestOutputRoot()`
`protected static java.lang.String` `getTestPlanRoot()`
`static TupleListCollector` `invokeAggregator(Aggregator aggregator, Tuple[] argumentsArray, Fields resultFields)`
`static TupleListCollector` `invokeAggregator(Aggregator aggregator, Tuple[] argumentsArray, Fields resultFields, java.util.Map<java.lang.Object,java.lang.Object> properties)`
`static TupleListCollector` `invokeAggregator(Aggregator aggregator, TupleEntry[] argumentsArray, Fields resultFields)`
`static TupleListCollector` `invokeAggregator(Aggregator aggregator, TupleEntry[] argumentsArray, Fields resultFields, java.util.Map<java.lang.Object,java.lang.Object> properties)`
`static TupleListCollector` `invokeAggregator(Aggregator aggregator, TupleEntry group, TupleEntry[] argumentsArray, Fields resultFields)`
`static TupleListCollector` `invokeAggregator(Aggregator aggregator, TupleEntry group, TupleEntry[] argumentsArray, Fields resultFields, java.util.Map<java.lang.Object,java.lang.Object> properties)`
`static TupleListCollector` `invokeBuffer(Buffer buffer, Tuple[] argumentsArray, Fields resultFields)`
`static TupleListCollector` `invokeBuffer(Buffer buffer, Tuple[] argumentsArray, Fields resultFields, java.util.Map<java.lang.Object,java.lang.Object> properties)`
`static TupleListCollector` `invokeBuffer(Buffer buffer, TupleEntry[] argumentsArray, Fields resultFields)`
`static TupleListCollector` `invokeBuffer(Buffer buffer, TupleEntry[] argumentsArray, Fields resultFields, java.util.Map<java.lang.Object,java.lang.Object> properties)`
`static TupleListCollector` `invokeBuffer(Buffer buffer, TupleEntry group, TupleEntry[] argumentsArray, Fields resultFields)`
`static TupleListCollector` `invokeBuffer(Buffer buffer, TupleEntry group, TupleEntry[] argumentsArray, Fields resultFields, java.util.Map<java.lang.Object,java.lang.Object> properties)`
`static boolean` `invokeFilter(Filter filter, Tuple arguments)`
`static boolean[]` `invokeFilter(Filter filter, Tuple[] argumentsArray)`
`static boolean[]` `invokeFilter(Filter filter, Tuple[] argumentsArray, java.util.Map<java.lang.Object,java.lang.Object> properties)`
`static boolean` `invokeFilter(Filter filter, TupleEntry arguments)`
`static boolean[]` `invokeFilter(Filter filter, TupleEntry[] argumentsArray)`
`static boolean[]` `invokeFilter(Filter filter, TupleEntry[] argumentsArray, java.util.Map<java.lang.Object,java.lang.Object> properties)`
`static boolean` `invokeFilter(Filter filter, TupleEntry arguments, java.util.Map<java.lang.Object,java.lang.Object> properties)`
`static boolean` `invokeFilter(Filter filter, Tuple arguments, java.util.Map<java.lang.Object,java.lang.Object> properties)`
`static TupleListCollector` `invokeFunction(Function function, Tuple[] argumentsArray, Fields resultFields)`
`static TupleListCollector` `invokeFunction(Function function, Tuple[] argumentsArray, Fields resultFields, java.util.Map<java.lang.Object,java.lang.Object> properties)`
`static TupleListCollector` `invokeFunction(Function function, TupleEntry[] argumentsArray, Fields resultFields)`
`static TupleListCollector` `invokeFunction(Function function, TupleEntry[] argumentsArray, Fields resultFields, java.util.Map<java.lang.Object,java.lang.Object> properties)`
`static TupleListCollector` `invokeFunction(Function function, TupleEntry arguments, Fields resultFields)`
`static TupleListCollector` `invokeFunction(Function function, TupleEntry arguments, Fields resultFields, java.util.Map<java.lang.Object,java.lang.Object> properties)`
`static TupleListCollector` `invokeFunction(Function function, Tuple arguments, Fields resultFields)`
`static TupleListCollector` `invokeFunction(Function function, Tuple arguments, Fields resultFields, java.util.Map<java.lang.Object,java.lang.Object> properties)`
`void` `setUp()`
`void` `tearDown()`
`static void` `validateLength(Flow flow, int length)`
`static void` `validateLength(Flow flow, int length, int size)`
`static void` `validateLength(Flow flow, int length, int size, java.util.regex.Pattern regex)`
`static void` `validateLength(Flow flow, int length, int size, java.util.regex.Pattern regex, java.lang.String name)`
`static void` `validateLength(Flow flow, int length, java.util.regex.Pattern regex, java.lang.String name)`
`static void` `validateLength(Flow flow, int length, java.lang.String name)`
`static void` `validateLength(TupleEntryIterator iterator, int length)`
`static void` `validateLength(TupleEntryIterator iterator, int length, int size)`
`static void` `validateLength(TupleEntryIterator iterator, int length, int size, java.util.regex.Pattern regex)`
`static void` `validateLength(TupleEntryIterator iterator, int length, java.util.regex.Pattern regex)`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ROOT_OUTPUT_PATH

    public static final java.lang.String ROOT_OUTPUT_PATH

See Also:
  Constant Field Values

#### ROOT_PLAN_PATH

    public static final java.lang.String ROOT_PLAN_PATH

See Also:
  Constant Field Values

#### TEST_TRACEPLAN_ENABLED

    public static final java.lang.String TEST_TRACEPLAN_ENABLED

See Also:
  Constant Field Values

#### name

    public transient org.junit.rules.TestName name

### Constructor Detail

#### CascadingTestCase

    public CascadingTestCase()

#### CascadingTestCase

    public CascadingTestCase(java.lang.String name)

### Method Detail

#### setUp

    public void setUp()
               throws java.lang.Exception

Overrides:
  `setUp` in class `junit.framework.TestCase`
Throws:
  `java.lang.Exception`

#### tearDown

    public void tearDown()
                  throws java.lang.Exception

Overrides:
  `tearDown` in class `junit.framework.TestCase`
Throws:
  `java.lang.Exception`

#### getTestOutputRoot

    protected static java.lang.String getTestOutputRoot()

#### getTestPlanRoot

    protected static java.lang.String getTestPlanRoot()

#### getOutputPathElements

    protected java.lang.String[] getOutputPathElements()

#### getPlanPathElements

    protected java.lang.String[] getPlanPathElements()

#### getOutputPath

    protected java.lang.String getOutputPath()

#### getPlanPath

    protected java.lang.String getPlanPath()

#### getTestCaseName

    public java.lang.String getTestCaseName()

#### getTestName

    public java.lang.String getTestName()

#### validateLength

    public static void validateLength(Flow flow,
                      int length)
                               throws java.io.IOException

Throws:
  `java.io.IOException`

#### validateLength

    public static void validateLength(Flow flow,
                      int length,
                      java.lang.String name)
                               throws java.io.IOException

Throws:
  `java.io.IOException`

#### validateLength

    public static void validateLength(Flow flow,
                      int length,
                      int size)
                               throws java.io.IOException

Throws:
  `java.io.IOException`

#### validateLength

    public static void validateLength(Flow flow,
                      int length,
                      int size,
                      java.util.regex.Pattern regex)
                               throws java.io.IOException

Throws:
  `java.io.IOException`

#### validateLength

    public static void validateLength(Flow flow,
                      int length,
                      java.util.regex.Pattern regex,
                      java.lang.String name)
                               throws java.io.IOException

Throws:
  `java.io.IOException`

#### validateLength

    public static void validateLength(Flow flow,
                      int length,
                      int size,
                      java.util.regex.Pattern regex,
                      java.lang.String name)
                               throws java.io.IOException

Throws:
  `java.io.IOException`

#### validateLength

    public static void validateLength(TupleEntryIterator iterator,
                      int length)

#### validateLength

    public static void validateLength(TupleEntryIterator iterator,
                      int length,
                      int size)

#### validateLength

    public static void validateLength(TupleEntryIterator iterator,
                      int length,
                      java.util.regex.Pattern regex)

#### validateLength

    public static void validateLength(TupleEntryIterator iterator,
                      int length,
                      int size,
                      java.util.regex.Pattern regex)

#### invokeFunction

    public static TupleListCollector invokeFunction(Function function,
                                    Tuple arguments,
                                    Fields resultFields)

#### invokeFunction

    public static TupleListCollector invokeFunction(Function function,
                                    Tuple arguments,
                                    Fields resultFields,
                                    java.util.Map<java.lang.Object,java.lang.Object> properties)

#### invokeFunction

    public static TupleListCollector invokeFunction(Function function,
                                    TupleEntry arguments,
                                    Fields resultFields)

#### invokeFunction

    public static TupleListCollector invokeFunction(Function function,
                                    TupleEntry arguments,
                                    Fields resultFields,
                                    java.util.Map<java.lang.Object,java.lang.Object> properties)

#### invokeFunction

    public static TupleListCollector invokeFunction(Function function,
                                    Tuple[] argumentsArray,
                                    Fields resultFields)

#### invokeFunction

    public static TupleListCollector invokeFunction(Function function,
                                    Tuple[] argumentsArray,
                                    Fields resultFields,
                                    java.util.Map<java.lang.Object,java.lang.Object> properties)

#### invokeFunction

    public static TupleListCollector invokeFunction(Function function,
                                    TupleEntry[] argumentsArray,
                                    Fields resultFields)

#### invokeFunction

    public static TupleListCollector invokeFunction(Function function,
                                    TupleEntry[] argumentsArray,
                                    Fields resultFields,
                                    java.util.Map<java.lang.Object,java.lang.Object> properties)

#### invokeFilter

    public static boolean invokeFilter(Filter filter,
                       Tuple arguments)

#### invokeFilter

    public static boolean invokeFilter(Filter filter,
                       Tuple arguments,
                       java.util.Map<java.lang.Object,java.lang.Object> properties)

#### invokeFilter

    public static boolean invokeFilter(Filter filter,
                       TupleEntry arguments)

#### invokeFilter

    public static boolean invokeFilter(Filter filter,
                       TupleEntry arguments,
                       java.util.Map<java.lang.Object,java.lang.Object> properties)

#### invokeFilter

    public static boolean[] invokeFilter(Filter filter,
                         Tuple[] argumentsArray)

#### invokeFilter

    public static boolean[] invokeFilter(Filter filter,
                         Tuple[] argumentsArray,
                         java.util.Map<java.lang.Object,java.lang.Object> properties)

#### invokeFilter

    public static boolean[] invokeFilter(Filter filter,
                         TupleEntry[] argumentsArray)

#### invokeFilter

    public static boolean[] invokeFilter(Filter filter,
                         TupleEntry[] argumentsArray,
                         java.util.Map<java.lang.Object,java.lang.Object> properties)

#### invokeAggregator

    public static TupleListCollector invokeAggregator(Aggregator aggregator,
                                      Tuple[] argumentsArray,
                                      Fields resultFields)

#### invokeAggregator

    public static TupleListCollector invokeAggregator(Aggregator aggregator,
                                      Tuple[] argumentsArray,
                                      Fields resultFields,
                                      java.util.Map<java.lang.Object,java.lang.Object> properties)

#### invokeAggregator

    public static TupleListCollector invokeAggregator(Aggregator aggregator,
                                      TupleEntry[] argumentsArray,
                                      Fields resultFields)

#### invokeAggregator

    public static TupleListCollector invokeAggregator(Aggregator aggregator,
                                      TupleEntry[] argumentsArray,
                                      Fields resultFields,
                                      java.util.Map<java.lang.Object,java.lang.Object> properties)

#### invokeAggregator

    public static TupleListCollector invokeAggregator(Aggregator aggregator,
                                      TupleEntry group,
                                      TupleEntry[] argumentsArray,
                                      Fields resultFields)

#### invokeAggregator

    public static TupleListCollector invokeAggregator(Aggregator aggregator,
                                      TupleEntry group,
                                      TupleEntry[] argumentsArray,
                                      Fields resultFields,
                                      java.util.Map<java.lang.Object,java.lang.Object> properties)

#### invokeBuffer

    public static TupleListCollector invokeBuffer(Buffer buffer,
                                  Tuple[] argumentsArray,
                                  Fields resultFields)

#### invokeBuffer

    public static TupleListCollector invokeBuffer(Buffer buffer,
                                  Tuple[] argumentsArray,
                                  Fields resultFields,
                                  java.util.Map<java.lang.Object,java.lang.Object> properties)

#### invokeBuffer

    public static TupleListCollector invokeBuffer(Buffer buffer,
                                  TupleEntry[] argumentsArray,
                                  Fields resultFields)

#### invokeBuffer

    public static TupleListCollector invokeBuffer(Buffer buffer,
                                  TupleEntry[] argumentsArray,
                                  Fields resultFields,
                                  java.util.Map<java.lang.Object,java.lang.Object> properties)

#### invokeBuffer

    public static TupleListCollector invokeBuffer(Buffer buffer,
                                  TupleEntry group,
                                  TupleEntry[] argumentsArray,
                                  Fields resultFields)

#### invokeBuffer

    public static TupleListCollector invokeBuffer(Buffer buffer,
                                  TupleEntry group,
                                  TupleEntry[] argumentsArray,
                                  Fields resultFields,
                                  java.util.Map<java.lang.Object,java.lang.Object> properties)

#### getSourceAsList

    public static java.util.List<Tuple> getSourceAsList(Flow flow)
                                                 throws java.io.IOException

Throws:
  `java.io.IOException`

#### getSinkAsList

    public static java.util.List<Tuple> getSinkAsList(Flow flow)
                                               throws java.io.IOException

Throws:
  `java.io.IOException`

#### asList

    public static java.util.List<Tuple> asList(Flow flow,
                               Tap tap)
                                        throws java.io.IOException

Throws:
  `java.io.IOException`

#### asList

    public static java.util.List<Tuple> asList(Flow flow,
                               Tap tap,
                               Fields selector)
                                        throws java.io.IOException

Throws:
  `java.io.IOException`

#### asSet

    public static java.util.Set<Tuple> asSet(Flow flow,
                             Tap tap)
                                      throws java.io.IOException

Throws:
  `java.io.IOException`

#### asSet

    public static java.util.Set<Tuple> asSet(Flow flow,
                             Tap tap,
                             Fields selector)
                                      throws java.io.IOException

Throws:
  `java.io.IOException`

#### asCollection

    public static <C extends java.util.Collection<Tuple>> C asCollection(Flow flow,
                                                         Tap tap,
                                                         C collection)
                                                       throws java.io.IOException

Throws:
  `java.io.IOException`

#### asCollection

    public static <C extends java.util.Collection<Tuple>> C asCollection(Flow flow,
                                                         Tap tap,
                                                         Fields selector,
                                                         C collection)
                                                       throws java.io.IOException

Throws:
  `java.io.IOException`

#### asCollection

    public static <C extends java.util.Collection<Tuple>> C asCollection(TupleEntryIterator iterator,
                                                         C result)

#### asCollection

    public static <C extends java.util.Collection<Tuple>> C asCollection(TupleEntryIterator iterator,
                                                         Fields selector,
                                                         C result)